=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2012-06-18 11:43:07 +0000
+++ bzrlib/tests/__init__.py	2012-08-02 11:45:26 +0000
@@ -3044,7 +3044,7 @@
         There is no point in forcing them to duplicate the extension related
         warning.
         """
-        config.GlobalConfig().set_user_option('ignore_missing_extensions', True)
+        config.GlobalStack().set('ignore_missing_extensions', True)
 
 
 class ChrootedTestCase(TestCaseWithTransport):

=== modified file 'bzrlib/tests/blackbox/test_init.py'
--- bzrlib/tests/blackbox/test_init.py	2011-12-21 16:26:24 +0000
+++ bzrlib/tests/blackbox/test_init.py	2012-08-02 11:45:26 +0000
@@ -168,10 +168,12 @@
 
     def test_init_default_format_option(self):
         """bzr init should read default format from option default_format"""
-        conf = _mod_config.GlobalConfig.from_string('''
+        g_store = _mod_config.GlobalStore()
+        g_store._load_from_string('''
 [DEFAULT]
 default_format = 1.9
-''', save=True)
+''')
+        g_store.save()
         out, err = self.run_bzr_subprocess('init')
         self.assertContainsRe(out, '1.9')
 

=== modified file 'bzrlib/tests/test_lockdir.py'
--- bzrlib/tests/test_lockdir.py	2012-01-27 22:09:19 +0000
+++ bzrlib/tests/test_lockdir.py	2012-08-02 11:45:26 +0000
@@ -734,7 +734,7 @@
             lambda: 'aproperhostname')
         # This is off by default at present; see the discussion in the bug.
         # If you change the default, don't forget to update the docs.
-        config.GlobalConfig().set_user_option('locks.steal_dead', True)
+        config.GlobalStack().set('locks.steal_dead', True)
         # Create a lock pretending to come from a different nonexistent
         # process on the same machine.
         l1 = LockDir(self.get_transport(), 'a',

=== modified file 'bzrlib/tests/test_ui.py'
--- bzrlib/tests/test_ui.py	2012-04-30 08:59:57 +0000
+++ bzrlib/tests/test_ui.py	2012-08-02 11:45:26 +0000
@@ -56,8 +56,7 @@
 
     def test_output_encoding_configuration(self):
         enc = fixtures.generate_unicode_encodings().next()
-        config.GlobalConfig().set_user_option('output_encoding',
-            enc)
+        config.GlobalStack().set('output_encoding', enc)
         ui = tests.TestUIFactory(stdin=None,
             stdout=tests.StringIOWrapper(),
             stderr=tests.StringIOWrapper())

